import { IMagicSquare } from "./models/magic-square.interface";
import { IMagicSquareResponse } from "./models/magic-square-response.interface";
export declare class MagicSquareSolver {
    readonly ms: IMagicSquare;
    private expected;
    constructor(ms: IMagicSquare);
    /**
     * Permet de vérifier s'il s'agit bien d'un carré magique
     */
    check(): IMagicSquareResponse;
    /**
     * Vérification de la somme des colonnes et des lignes
     * @param j
     */
    private columnAndline;
    /** Vérification de la somme de la première diagonale (de gauche à droite) */
    private diagonaleLeftToRight;
    /** Vérification de la somme de la deuxième diagonale (de droite à gauche) */
    private diagonaleRightToLeft;
}
